# RunLine(LocalizedLine,Action)

Method in [VoiceOverView](/2.3/api/csharp/yarn.unity/yarn.unity.voiceoverview.md)

## Summary

Begins playing the associated audio for the specified line.

```csharp
public override void RunLine(LocalizedLine dialogueLine, Action onDialogueLineFinished)
```

## Remarks

{% hint style="warning" %}
This method is not intended to be called from your code. Instead, the [DialogueRunner](/2.3/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md) class will call it at the appropriate time.
{% endhint %}

## Parameters

| Name                                                                                            | Description                                                                   |
| ----------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------- |
| [Yarn.Unity.LocalizedLine](/2.3/api/csharp/yarn.unity/yarn.unity.localizedline.md) dialogueLine | The content of the line that should be presented to the user.                 |
| `System.Action` onDialogueLineFinished                                                          | The method that should be called after the line has finished being presented. |

## See Also

* [DialogueViewBase.RunLine(LocalizedLine,Action)](/2.3/api/csharp/yarn.unity/yarn.unity.dialogueviewbase/yarn.unity.dialogueviewbase.runline.md): Called by the [DialogueRunner](/2.3/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md) to signal that a line should be displayed to the user.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.3/api/csharp/yarn.unity/yarn.unity.voiceoverview/yarn.unity.voiceoverview.runline.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
